// compito.cpp
#include "to_debug.h"
#include <iostream>

MatQuad::MatQuad(int size){
	
	s = size;
	m = new int*[s];
	
	for(int j = 0; j < s; j++){
	
		m[j] = new int[s];
	
		for(int i = 0; i < s; i++)
	   		m[j][i] = 0;
	}
}

void MatQuad::aggiorna(int* vett, const int dim){
	
	int i = 0;
	
	for(int j = 0; j < dim; j++){
		m[i][j] = vett[j]; 
	}
	
	return;     
}
    

void MatQuad::stampa(){
	
	for(int i = 0; i < s; i++){
		for(int j = 0; j < s; j++){
			 cout << m[i][j] << " ";
		}
		
		cout << endl;
	}
	
}

bool MatQuad::trova(){
	
	int c = 0;
	for(int i = 0; i < s; i++){
		for(int j = 0; j < s; j++){
			if(m[i][j] == m[i][j+1])
				c++;
	  }
		if(c >= 3)
			return true;
	}
	
	return false;
}

void MatQuad::raddoppia(){
    
	int k = s;
    s = s*2;
    m = new int*[s];
    
	for(int i = 0; i < s; i++){ 
        m[i] = new int[s];
        
		for(int j = 0; j < s; j++){
            if(i < k && j < k)
               m[i][j] = 8;
            else if(i >= k+1 && j >= k+1)
               m[i][j] = 9;
            else
               m[i][j] = 0;
        }
    }
	
	return;
}       
    
MatQuad::~MatQuad(){
	delete m;
}
